#ifndef RST_PARSER_H
#define RST_PARSER_H

#include "rdfsql/rdfsql.h"
#include "config.h"

#define RST_OPTSTR "u:p:r:d:h"
#define RST_LONGOPTS \
{ "username", 1, 0, 'u' }, \
{ "password", 1, 0, 'p' }, \
{ "database", 1, 0, 'd' }, \
{ "remote",   1, 0, 'r' }, \
{ "help",     0, 0, 'h' }

#define RST_OPTIONS "[-h] [-u <user>] [-p <passwd>] [-d <db>] [-r <host>]"
#define RST_HELP "\
built for 3store version "VERSION"\n\
   -h, --help      show help\n\
   -u, --username  set username for db connection (default '" RS_DB_USER "')\n\
   -p, --password  set password for db connection (default '" RS_DB_PASSWORD "')\n\
   -d, --database  set database for db connection (default '" RS_DB_DATABASE "')\n\
   -r, --remote    set hostname for db connection (default 'localhost')\n"

int rst_handle_option(int opt, const char *arg);
RDFSQL *rst_connect(const char *model);
RDFSQL *rst_try_connect(const char *model);

void rst_set_db(const char *db);
const char *rst_get_user();
const char *rst_get_pw();
const char *rst_get_db();
const char *rst_get_host();

#endif
